Bug 246843 - New port: devel/R-cran-roxygen2: In-Line Documentation for R
Summary: New port: devel/R-cran-roxygen2: In-Line Documentation for R
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-29 13:45 UTC by Jean-Paul Beconne
Modified: 2021-06-21 02:16 UTC (History)
1 user (show)

See Also:


Attachments
SHAR file (2.20 KB, text/plain)
2020-05-29 13:45 UTC, Jean-Paul Beconne
no flags Details
SHAR file for version 7.1.1 (1.73 KB, patch)
2021-06-16 18:43 UTC, Jean-Paul Beconne
no flags Details | Diff
Modified SHAR file for version 7.1.1 (1.68 KB, patch)
2021-06-17 19:02 UTC, Jean-Paul Beconne
no flags Details | Diff
Modified SHAR with dependencies fix (1.68 KB, patch)
2021-06-18 16:55 UTC, Jean-Paul Beconne
no flags Details | Diff
Modified port in GIT diff format (1.92 KB, patch)
2021-06-19 08:44 UTC, Jean-Paul Beconne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Paul Beconne 2020-05-29 13:45:28 UTC
Created attachment 215022 [details]
SHAR file

R package
Must be evaluated after bug 246841
Comment 1 Guangyuan Yang freebsd_committer 2021-06-03 12:21:42 UTC
7.1.1 is the latest version, please update the diff, and I can take it from here, thanks!
Comment 2 Jean-Paul Beconne 2021-06-16 18:43:17 UTC
Created attachment 225868 [details]
SHAR file for version 7.1.1
Comment 3 Guangyuan Yang freebsd_committer 2021-06-16 22:44:59 UTC
- PORTREVISION should be removed for new ports.
- LICENSE seems wrong.
- It appears that BUILD_DEPENDS only need knitr, please verify.
- TEST_DEPENDS?
- WWW should be https://roxygen2.r-lib.org/.
Comment 4 Guangyuan Yang freebsd_committer 2021-06-16 23:00:00 UTC
Please also consider submitting git format-patch in the future.
Comment 5 Jean-Paul Beconne 2021-06-17 19:01:43 UTC
(In reply to Guangyuan Yang from comment #4)
Dependencies are detailed in https://cloud.r-project.org/web/packages/roxygen2/index.html, Imports section
I don't find TEST_DEPENDS
All others items modified
Comment 6 Jean-Paul Beconne 2021-06-17 19:02:41 UTC
Created attachment 225898 [details]
Modified SHAR file for version 7.1.1
Comment 7 Guangyuan Yang freebsd_committer 2021-06-18 03:12:10 UTC
Build test failed for me - please correct. And please consider using git format-patch for future submissions, thanks.

[00:00:03] Error: devel/R-cran-roxygen2 depends on nonexistent origin 'devel/R-cran-commonmark'; Please contact maintainer of the port to fix this.
[00:00:03] Error: devel/R-cran-roxygen2 depends on nonexistent origin 'devel/R-cran-xml2'; Please contact maintainer of the port to fix this.
Comment 8 Jean-Paul Beconne 2021-06-18 16:54:07 UTC
(In reply to Guangyuan Yang from comment #7)
Sorry again, I started to port it 1 year ago and the dependencies were in devel and not in textproc. The dependency packages stayed in devel on my machine.
Comment 9 Jean-Paul Beconne 2021-06-18 16:55:18 UTC
Created attachment 225910 [details]
Modified SHAR with dependencies fix
Comment 10 Guangyuan Yang freebsd_committer 2021-06-19 08:04:07 UTC
(In reply to Jean-Paul Beconne from comment #9)

Still builds fail for me - please consider using Poudriere for testing, and have the QA result attached to your future patches.

ERROR: dependency 'knitr' is not available for package 'roxygen2'
* removing '/wrkdirs/usr/ports/devel/R-cran-roxygen2/work/stage/usr/local/lib/R/library/roxygen2'
*** Error code 1
Comment 11 Jean-Paul Beconne 2021-06-19 08:43:43 UTC
(In reply to Guangyuan Yang from comment #10)
Sorry, it is a missing dependency. Dependencies have changed with the new version and I forgot this one.
I am testing the git diff for the new version
Comment 12 Jean-Paul Beconne 2021-06-19 08:44:36 UTC
Created attachment 225920 [details]
Modified port in GIT diff format
Comment 13 commit-hook freebsd_committer 2021-06-21 02:15:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=483db0ebe3ffd77e5d57aa111ccd0bcbd1764db8

commit 483db0ebe3ffd77e5d57aa111ccd0bcbd1764db8
Author:     Jean-Paul Beconne <jpbeconne@free.fr>
AuthorDate: 2021-06-21 01:56:10 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-21 01:56:10 +0000

    devel/R-cran-roxygen2: New port: In-Line Documentation for R

    PR:             246843
    Approved by:    lwhsu (mentor, implicit)

 devel/Makefile                        |  1 +
 devel/R-cran-roxygen2/Makefile (new)  | 29 +++++++++++++++++++++++++++++
 devel/R-cran-roxygen2/distinfo (new)  |  3 +++
 devel/R-cran-roxygen2/pkg-descr (new) |  6 ++++++
 4 files changed, 39 insertions(+)
Comment 14 Guangyuan Yang freebsd_committer 2021-06-21 02:16:43 UTC
Committed, thanks!